MIX_GetTrack3DPosition(3)

NAME
MIX_GetTrack3DPosition - Get a track's current position in 3D space.

SYNOPSIS
#include <SDL3_mixer/SDL_mixer.h>

bool MIX_GetTrack3DPosition(MIX_Track *track, MIX_Point3D *position);

DESCRIPTION
If 3D positioning isn't enabled for this track, through a call to MIX_SetTrack3DPosition(), this will return (0,0,0).

FUNCTION PARAMETERS

track
    the track to query.

position
    on successful return, will contain the track's position.

RETURN VALUE
Returns true on success or false on failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL_mixer 3.0.0.

SEE ALSO
MIX_SetTrack3DPosition(3)